SDL_DirectFB_WM.h File Reference
`#include "SDL_DirectFB_video.h"`
Include dependency graph for SDL_DirectFB_WM.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | DFB_Theme

## Functions

void | DirectFB_WM_AdjustWindowLayout (SDL_Window *window, int flags, int w, int h)
void | DirectFB_WM_RedrawLayout (_THIS, SDL_Window *window)
int | DirectFB_WM_ProcessEvent (_THIS, SDL_Window *window, DFBWindowEvent *evt)
DFBResult | DirectFB_WM_GetClientSize (_THIS, SDL_Window *window, int *cw, int *ch)

## Function Documentation

void DirectFB_WM_AdjustWindowLayout | ( | SDL_Window * | window,
|  | int | flags,
|  | int | w,
|  | int | h
| ) |  |

DFBResult DirectFB_WM_GetClientSize | ( | _THIS | ,
|  | SDL_Window * | window,
|  | int * | cw,
|  | int * | ch
| ) |  |

int DirectFB_WM_ProcessEvent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | DFBWindowEvent * | evt
| ) |  |

void DirectFB_WM_RedrawLayout | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |